API Documentation
Integrate virtual card creation and management into your application. API access requires a paid plan.
Base URL
https://api.virtualpay.example.com/v1
Authentication
Include your API key in the request header:
Authorization: Bearer YOUR_API_KEY
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /cards | List your cards |
| POST | /cards | Create a card |
| GET | /cards/:id | Get card details |
| PATCH | /cards/:id | Freeze / unfreeze |
| POST | /cards/:id/topup | Top-up card |
Example: Create card
curl -X POST https://api.virtualpay.example.com/v1/cards \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"type":"onetime","bin":"537100","amount":50}'
For full API access, subscribe to the API plan from Pricing or your user panel.